# Setup Instructions

{% hint style="info" %}
Please complete [this form](https://forms.gle/cJ6aehR4Y7j3uKwY9) to obtain your API Keys.
{% endhint %}

## Getting Started

Please ensure you have a valid API key. You may apply for one using the link provided above. With an API key, you may access the widget through the following URL:

```markup
https://widget.uniramp.com/?api_key=pk_prod_xxx
```

Most users prefer to embed the widget on their website. This can be easily achieved through an iframe embed. Users may choose to style the iframe to fit the website's design. We recommend the following styles as a good starting point:

```css
border: 1px #00000030 solid;
border-radius: 4px;
height: 650px;
width: 450px;
```

An example of the complete iframe can be found below:

```html
<iframe src="https://widget.uniramp.com/?api_key=pk_prod_xxx" style="border: 1px #00000030 solid; border-radius: 4px; height: 650px; width: 450px;" name="Uniramp"></iframe>
```

## Query Parameters

The following query parameters allow users to customize the widget. In addition, the parameters can be used dynamically (eg. custom `onramp_wallet` for different users). This can be trivially implemented through [`URLSearchParams`](https://developer.mozilla.org/en-US/docs/Web/API/URLSearchParams) in JavaScript/TypeScript or other similar functions.

<table><thead><tr><th width="164">Parameter</th><th width="292">Description</th><th width="127" data-type="checkbox">Required</th><th>Example</th><th data-hidden>Description</th><th data-hidden>Default</th><th data-hidden data-type="checkbox">Required</th><th data-hidden>Description</th><th data-hidden></th></tr></thead><tbody><tr><td>api_key</td><td>api publisher key (eg. pk_prod_xxx)</td><td>true</td><td></td><td>api publisher key (eg. pk_prod_xxx)</td><td></td><td>true</td><td><p>api publisher key </p><p>(eg. pk_prod_xxx)</p></td><td></td></tr><tr><td>onramp_wallet</td><td>wallet address</td><td>false</td><td>0xa90D8432d3d1afb828b0aa3fCB7a6291b20EE64e</td><td></td><td></td><td>false</td><td></td><td></td></tr><tr><td>onramp_hybrid</td><td>if hybrid transactions are enabled</td><td>false</td><td>false</td><td></td><td></td><td>false</td><td></td><td></td></tr><tr><td>onramp_chain</td><td>the default chain that is selected. learn more about its usage from the <a href="#selecting-default-crypto">selecting default crypto</a> section</td><td>false</td><td>eth</td><td></td><td></td><td>false</td><td></td><td></td></tr><tr><td>onramp_crypto</td><td>the default crypto token that is selected. this field works in tandem with <code>onramp_chain</code>. learn more about its usage from the <a href="#selecting-default-crypto">selecting default crypto</a> section</td><td>false</td><td>0x0000000000000000000000000000000000000000</td><td></td><td></td><td>false</td><td></td><td></td></tr></tbody></table>

### Selecting Default Crypto

Use the `onramp_chain` and `onramp_crypto`  query parameters to select a default cryptocurrency. Please note that the usage of `onramp_chain` is required while `onramp_crypto` is optional. Some common cryptocurrencies and their corresponding query parameters can be found below:

<table><thead><tr><th width="152">Crypto</th><th width="145">onramp_chain</th><th>onramp_crypto</th></tr></thead><tbody><tr><td>Bitcoin</td><td>btc</td><td></td></tr><tr><td>Ethereum</td><td>eth</td><td></td></tr><tr><td>BNB</td><td>bsc</td><td></td></tr><tr><td>Matic</td><td>poly</td><td></td></tr><tr><td>Solana</td><td>sol</td><td></td></tr><tr><td>Litecoin</td><td>ltc</td><td></td></tr><tr><td>Tron</td><td>trx</td><td></td></tr><tr><td>USDT (ETH)</td><td>eth</td><td>0xdac17f958d2ee523a2206206994597c13d831ec7</td></tr><tr><td>USDT (BSC)</td><td>bsc</td><td>0x55d398326f99059ff775485246999027b3197955</td></tr><tr><td>USDT (POLY)</td><td>poly</td><td>0xc2132d05d31c914a87c6611c10748aeb04b58e8f</td></tr><tr><td>USDC (ETH)</td><td>eth</td><td>0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48</td></tr><tr><td>USDC (BSC)</td><td>bsc</td><td>0x8ac76a51cc950d9822d68b83fe1ad97b32cd580d</td></tr><tr><td>USDC (POLY)</td><td>poly</td><td>0x2791bca1f2de4661ed88a30c99a7a9449aa84174</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uniramp.com/product/widget/setup-instructions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
